Subject: Re: bug#28339: 25.2; Emacs shows ZWNJ character (Zero Width non-Joiner) as Space

From: Nima Aryan <[email-masked]>
Date: Thu, 14 Sep 2017 21:13:57 +0000

I've no technical background in typography, but as a use case when the user
type 'A[ZWNJ]B' the editor should show 'A[Discontinuation of continuous
script but without any space or kerning]B'. It can be translated to '[the
end shape of A][No space or kerning][the beginning shape of B]' .
Persian/Hebrew/Arabic scripts have different glyphs for the same character
based on their position in the word (beginning, middle, end), so the ZWNJ
is vital here. Regarding ZWNJ from user point of view in these scripts, it
works exactly like 'Space' but without showing it.

This might be misunderstanding on my part, but It is strange to me if the
font (or shaper?) replaces the ZWNJ with space. It's OK to show nothing for
ZWNJ but not the space. I've not such experience with other editors such as
Gedit (or even with terminal emulators) and if this is the case how other
editors figure it out?

Thanks a lot,

P.s. Regarding the new patch I'll test it as soon as possible.